Album: Theatore Creatore
Artists:
- Toby Fox
- Camellia
Color: '#ffa33a'
Date: December 13, 2024
Date Added: January 29, 2025
Cover Artists:
- pibaco
Cover Art File Extension: png
Groups:
- Toby Fox
- Beyond
URLs:
- https://www.youtube.com/watch?v=J0Gd9nzJ-iY
- https://open.spotify.com/album/6wdG4SykQoVUgTJYhZODxG
- https://music.apple.com/album/theatore-creatore-single/1784654371
---
Track: Theatore Creatore
Duration: 2:34
URLs:
- https://www.youtube.com/watch?v=J0Gd9nzJ-iY
- https://open.spotify.com/track/5M8IqUqXWbgJSXZrIwYHVd
- https://music.apple.com/album/theatore-creatore-single/1784654371
Commentary: |-
    <i>Camellia:</i> ([YouTube comment](https://www.youtube.com/watch?v=J0Gd9nzJ-iY&lc=Ugz6olFwAQiULo08irJ4AaABAg), 12/12/2024)
    Chaos, chao- oh that's a wrong line
